<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <RootNamespace>adas_core.Test</RootNamespace>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>

        <IsPackable>false</IsPackable>

        <PackageId>adas-core.Test</PackageId>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
        <TreatWarningsAsErrors>True</TreatWarningsAsErrors>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
        <TreatWarningsAsErrors>True</TreatWarningsAsErrors>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="AuditLogs" Version="1.0.59" />
        <PackageReference Include="Microsoft.CodeAnalysis.Analyzers" Version="5.3.0">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.EntityFrameworkCore.Analyzers" Version="10.0.9" />
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="18.6.0" />
        <PackageReference Include="Microsoft.QualityTools.Testing.Fakes" Version="18.1.1" />
        <PackageReference Include="Mongo2Go" Version="4.1.0" />
        <PackageReference Include="MongoMigrations.Core" Version="4.0.15" />
        <PackageReference Include="Moq" Version="4.20.72" />
        <PackageReference Include="NUnit" Version="4.6.1" />
        <PackageReference Include="NUnit3TestAdapter" Version="6.2.0" />
        <PackageReference Include="NUnit.Analyzers" Version="4.14.0">
            <PrivateAssets>all</PrivateAssets>
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="coverlet.collector" Version="10.0.1">
            <PrivateAssets>all</PrivateAssets>
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\adas-core.Domain\adas-core.Domain.csproj" />
        <ProjectReference Include="..\adas-core.Infrastructure\adas-core.Infrastructure.csproj" />
        <ProjectReference Include="..\adas-core\adas-core.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Folder Include="Customizations\HUVH\UCIN\" />
    </ItemGroup>

</Project>
